This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017035 - Change of Transaction object store requires restart (not just reload)
Change of Transaction object store requires restart (not just reload)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR6
: EAP 6.3.0
Assigned To: Tomaz Cerar
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 04:01 EDT by Ondrej Chaloupka
Modified: 2017-10-09 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:40:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-09 04:01:37 EDT
The transaction object store change requires restart of the server. Currently the reload is required after the CLI operation is done.

The operation should define restart required.
Comment 1 Brian Stansberry 2013-10-10 23:54:46 EDT
Not a client side issue, so CLI is not the correct component.
Comment 2 Brian Stansberry 2013-10-10 23:57:25 EDT
A number of attributes in TransactionSubsystemRootResourceDefinition (and perhaps in otehr resources in the subsystem) have .setFlags(AttributeAccess.Flag.RESTART_JVM) but then the write-attribute handler is ReloadRequiredWriteAttributeHandler.
Comment 3 Ondrej Chaloupka 2014-01-06 06:32:36 EST
We have the same problem when switching from JTA to JTS
/subsystem=transaction:write-attribute(name=jts, value=true)

The restart should be required (but it is just reload).
Comment 6 Ondrej Chaloupka 2014-04-01 08:22:45 EDT
Thank you. The flag for restart required is set for setting the object store type and jts.
Verified for EAP 6.3.0.DR6

Note You need to log in before you can comment on or make changes to this bug.